com.virtual.tour.road.com.virtual.tour.road.model

## Class SoporteSelectRoute

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.model.SoporteSelectRoute

-     public class SoporteSelectRoute
      extends java.lang.Object

  Created by Carolina Bonnin on 01/06/2015. Metodos de soporte que se ejecutan al seleccionar una ruta. Clase creada para no realizar dichos calculos en la vista.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoporteSelectRoute()` Constructor vacio

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<com.google.android.gms.maps.model.LatLng>` | `decodePoly(java.lang.String encoded)` Decodifica la url y devuelve el listado de puntos para la ruta
    `java.util.List<com.google.android.gms.maps.model.LatLng>` | `findAllPointsInLine(com.google.android.gms.maps.model.LatLng start, com.google.android.gms.maps.model.LatLng end, float distance)` Metodo para obtener todos los puntos de una linea recta
    `(package private) com.google.android.gms.maps.model.LatLng` | `interpolate(com.google.android.gms.maps.model.LatLng a, com.google.android.gms.maps.model.LatLng b, float t)` Funcionpara interpolar los puntos
    `java.lang.String` | `makeURL(double sourcelat, double sourcelog, double destlat, double destlog, java.lang.String mode, java.lang.String lang)` Metodo para construir la URL para la ruta

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SoporteSelectRoute

          public SoporteSelectRoute()

      Constructor vacio

  - ### Method Detail

    - #### decodePoly

          public java.util.List<com.google.android.gms.maps.model.LatLng> decodePoly(java.lang.String encoded)

      Decodifica la url y devuelve el listado de puntos para la ruta
      Parameters:
        `encoded` - url codificada
      Returns:
        listado de puntos

    - #### findAllPointsInLine

          public java.util.List<com.google.android.gms.maps.model.LatLng> findAllPointsInLine(com.google.android.gms.maps.model.LatLng start,
                                                                                              com.google.android.gms.maps.model.LatLng end,
                                                                                              float distance)

      Metodo para obtener todos los puntos de una linea recta
      Parameters:
        `start` - inicio de la linea
        `end` - fin de la linea
        `distance` - distancia que habra entre punto y punto encontrado
      Returns:
        array de puntos que contiene la linea

    - #### interpolate

          com.google.android.gms.maps.model.LatLng interpolate(com.google.android.gms.maps.model.LatLng a,
                                                               com.google.android.gms.maps.model.LatLng b,
                                                               float t)

      Funcionpara interpolar los puntos
      Parameters:
        `a` - inicio
        `b` - fin
        `t` - numero de puntos / (length/distancia*1000)
      Returns:

    - #### makeURL

          public java.lang.String makeURL(double sourcelat,
                                          double sourcelog,
                                          double destlat,
                                          double destlog,
                                          java.lang.String mode,
                                          java.lang.String lang)

      Metodo para construir la URL para la ruta
      Parameters:
        `sourcelat` - latitud del punto de inicio
        `sourcelog` - longitud del punto de inicio
        `destlat` - latitud del punto de destino
        `destlog` - longitud del punto de destino
        `mode` - walking, driving...
        `lang` - idioma
      Returns:
        la url